SYSFS_STREQ(9)

NAME
sysfs_streq - return true if strings are equal, modulo trailing newline

SYNOPSIS

bool sysfs_streq(const char * s1, const char * s2);

ARGUMENTS

s1
    one string

s2
    another string

DESCRIPTION

This routine returns true iff two strings are equal, treating both NUL and newline-then-NUL as equivalent string terminations. It's geared for use with sysfs input strings, which generally terminate with newlines but are compared against values without newlines.

COPYRIGHT